Page MenuHomePhabricator

Signature button in Hungarian should produce "– ~~~~"
Closed, ResolvedPublic

Description

Author: bdamokos

Description:
The signature button in the Hungarian version of the new edit toolbar should produce the text "– ~~~~" instead of "--~~~~". (That is, an em-dash+space, preferably a non-breaking space, instead of two en-dashes preceding the actual signature.)

More generally, the signature string or at least its prefix should be available for localisation.


After rMWdf2ef5194e88: Allow the signature button wikitext to be overridden locally gets deployed, signature will be customizable through the MediaWiki:sig_text system message. This will only be possible per site (using the root MediaWiki page), not per language.

Details

Reference
bz24191

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz24191.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 30 2010, 7:04 PM

I suspect this is not about Hungarian as a language but about huwiki specifically? In that case, it should be changed in [[MediaWiki:Common.js]]

bdamokos wrote:

A workaround is being built for the huwiki common.js, but it is more about the language, I should think.
(Hungarian makes an orthographic distinction between the em- and en-dashes and for signature purposes the longer em-dash is preferred.)

(In reply to comment #1)

I suspect this is not about Hungarian as a language but about huwiki
specifically? In that case, it should be changed in [[MediaWiki:Common.js]]

Different cultures have different practices of dash usage. For example, while the substitution of em-dash with two en-dashes looks tolerable for an English speaker, this is pretty uncommon in Russian practice, consequentially it looks strange. Spacing is also different.

So yes, localizing this would be highly appropriate.

Tgr added a comment.Jul 22 2010, 7:33 PM

Until this gets fixed, a Common.js-based workaround for interested parties:

if ( typeof $j != 'undefined' && window.wgWikiEditorEnabledModules && wgWikiEditorEnabledModules.toolbar ) {

addOnloadHook( function() {
  $j( '#wpTextbox1' ).bind( 'wikiEditor-toolbar-buildSection-main', function( event, section ) {
    section.groups.insert.tools.signature.action.options.post = '– ~~' + '~~';
  });
});

}

*Mass-change: Move WikiEditor bugs to component and remove blocker bug where*

The signature syntax should definitely be a translatable message. It shouldn't be that hard to add.

Change 258783 had a related patch set uploaded (by Paladox):
Localise the signiture code

https://gerrit.wikimedia.org/r/258783

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2015, 9:06 PM
Paladox set Security to None.Dec 13 2015, 9:06 PM
Paladox added a subscriber: Paladox.
GOIII added a subscriber: GOIII.Dec 14 2015, 12:07 AM

Change 258783 had a related patch set uploaded (by @Paladox):
Localise the signiture code

https://gerrit.wikimedia.org/r/258783

Whoa... I'm not so sure the original issue was about replacing the "example" text with something administrator's can customize in some newly associated MediaWiki: message on a per language basis but more about not being 'hampered' by the additional 2 dashes in front of the whatever they have set for a sig in their User: preferences every time they click the WE toolbar's sig button.

Pls. note; only 4 tildes ~~~~ is defined by default in the mark-up for sig generation last I checked. It was some point later in the rise of the customizable toolbar button gadget experience that the 2 dash (later &mdash) prefix sort of became 'expected' &/or standardized into our psyche over time. WikiEditor just seems to have continued the previous mentality is all.

In fact, I'm betting most folks are so use to having it behave that way over all this time (and so unaware it can be [re]set in their Prefs in a minute or less) that removing the expected output here might have a 'backlash' as a result (at least without so much as a mention in the weekly build notice no?).

Paladox added a comment.EditedDec 14 2015, 12:35 AM

@GOIII then I think that this would need to be discussed. So that we can decide weather the patch could be merged or would it cause more problems then it solves. Plus deciding weather to close this task since it is 5 years old I think.

Tgr added a comment.Dec 14 2015, 6:24 AM

Whoa... I'm not so sure the original issue was about replacing the "example" text with something administrator's can customize in some newly associated MediaWiki: message on a per language basis

That's exactly what it was about.

Change 259061 had a related patch set uploaded (by Paladox):
Let the signature wikitext be over-ridden locally

https://gerrit.wikimedia.org/r/259061

matej_suchanek added a project: User-notice.
matej_suchanek removed a subscriber: wikibugs-l-list.
Catrope removed a subscriber: Catrope.Jan 15 2016, 10:58 PM

Change 259061 merged by jenkins-bot:
Allow the signature button wikitext to be overridden locally

https://gerrit.wikimedia.org/r/259061

happy5214 moved this task from Backlog to Doing on the WikiEditor board.May 12 2016, 9:30 PM

(Hungarian makes an orthographic distinction between the em- and en-dashes and for signature purposes the longer em-dash is preferred.)

Actually, "-" is neither, and "–" is an en dash, not an em dash. Em dash would be "—".

Tgr updated the task description. (Show Details)May 17 2016, 11:16 PM

Change 258783 merged by jenkins-bot:
Allow the signature wikitext to be overridden locally

https://gerrit.wikimedia.org/r/258783

Should we close this as resolved since the final patch has been merged.

Tgr closed this task as Resolved.May 24 2016, 5:18 PM
Tgr assigned this task to Paladox.

Thanks for working on this, Paladox!

Tgr updated the task description. (Show Details)May 24 2016, 5:20 PM

@Tgr your welcome.

Jdforrester-WMF moved this task from Doing to Closed on the WikiEditor board.Dec 1 2018, 12:06 AM